[tool.isort]
profile = "black"
line_length = 120
balanced_wrapping = true

[tool.ruff]
line-length = 120
target-version = "py312"

[tool.mypy]
plugins = ["pydantic.mypy", "sqlalchemy.ext.mypy.plugin"]
ignore_missing_imports = true
disallow_untyped_defs = true

[tool.coverage.run]
concurrency = [
    "greenlet",
    "thread"
]
omit = [
    "app/tests/**",
    "app/check_database_connection.py",
    "app/check_ceph_connection.py",
    "app/check_oidc_connection.py",
    "app/core/config.py",
]

[tool.coverage.report]
exclude_lines = [
    "pragma: no cover",
    "def __repr__",
    "def __eq__",
    "if TYPE_CHECKING",
    "if __name__ = = .__main__.:"
]

[tool.pytest.ini_options]
asyncio_mode = "strict"
